---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach038Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5A1B0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5C0F0, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5C4E0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5D480, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5D490, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x8DE6, offset: 0x8DE6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59E00, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DF1, offset: 0x8DF1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59E04, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DFC, offset: 0x8DFC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59E08, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E41, offset: 0x8E41, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59F60, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EAE, offset: 0x8EAE, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5A018, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8ECC, offset: 0x8ECC, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5A01C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8EE5, offset: 0x8EE5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5A020, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EFE, offset: 0x8EFE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5A024, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F17, offset: 0x8F17, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5A028, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F30, offset: 0x8F30, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5A030, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FB9, offset: 0x8FB9, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5A040, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FD2, offset: 0x8FD2, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5A048, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FEB, offset: 0x8FEB, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5A050, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9004, offset: 0x9004, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5A058, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x901D, offset: 0x901D, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5A060, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9037, offset: 0x9037, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5A068, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x911D, offset: 0x911D, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x5A0AC, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x9136, offset: 0x9136, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x5A0B0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x914F, offset: 0x914F, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x5A0B8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9168, offset: 0x9168, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x5A0C0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9181, offset: 0x9181, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x5A0D0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x919A, offset: 0x919A, size: 0x8, addend: 0x0, symName: __ZL19threadStartReceived, symObjAddr: 0x5A0D8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91B3, offset: 0x91B3, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x5A0E0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9205, offset: 0x9205, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2F20, symSize: 0x80 }
  - { offsetInCU: 0x929A, offset: 0x929A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2E70, symSize: 0xB0 }
  - { offsetInCU: 0x92F5, offset: 0x92F5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2D70, symSize: 0x100 }
  - { offsetInCU: 0x9588, offset: 0x9588, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2FA0, symSize: 0x220 }
  - { offsetInCU: 0x976D, offset: 0x976D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x31C0, symSize: 0xA0 }
  - { offsetInCU: 0x9820, offset: 0x9820, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3260, symSize: 0x110 }
  - { offsetInCU: 0x9916, offset: 0x9916, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3370, symSize: 0x150 }
  - { offsetInCU: 0x9A73, offset: 0x9A73, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x34C0, symSize: 0x30 }
  - { offsetInCU: 0x9B80, offset: 0x9B80, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x34F0, symSize: 0x150 }
  - { offsetInCU: 0x9D78, offset: 0x9D78, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3640, symSize: 0x160 }
  - { offsetInCU: 0x9F18, offset: 0x9F18, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x37A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA133, offset: 0xA133, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3950, symSize: 0xA0 }
  - { offsetInCU: 0xA202, offset: 0xA202, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x39F0, symSize: 0x20 }
  - { offsetInCU: 0xA239, offset: 0xA239, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3A10, symSize: 0x20 }
  - { offsetInCU: 0xA270, offset: 0xA270, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3A30, symSize: 0x20 }
  - { offsetInCU: 0xA3DF, offset: 0xA3DF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3A50, symSize: 0x1A0 }
  - { offsetInCU: 0xA6FB, offset: 0xA6FB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3BF0, symSize: 0x130 }
  - { offsetInCU: 0xA8AB, offset: 0xA8AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3D20, symSize: 0x80 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3DA0, symSize: 0x6A0 }
  - { offsetInCU: 0xB509, offset: 0xB509, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x57B0, symSize: 0xB0 }
  - { offsetInCU: 0xB580, offset: 0xB580, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4440, symSize: 0x70 }
  - { offsetInCU: 0xB61C, offset: 0xB61C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x44B0, symSize: 0xA0 }
  - { offsetInCU: 0xB727, offset: 0xB727, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4550, symSize: 0x40 }
  - { offsetInCU: 0xB81D, offset: 0xB81D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4590, symSize: 0x2B0 }
  - { offsetInCU: 0xBBC3, offset: 0xBBC3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4840, symSize: 0xC0 }
  - { offsetInCU: 0xBD09, offset: 0xBD09, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4900, symSize: 0x10 }
  - { offsetInCU: 0xBDCB, offset: 0xBDCB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4910, symSize: 0x220 }
  - { offsetInCU: 0xC0C8, offset: 0xC0C8, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x4B30, symSize: 0x150 }
  - { offsetInCU: 0xC18B, offset: 0xC18B, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4C80, symSize: 0x3C0 }
  - { offsetInCU: 0xC4C0, offset: 0xC4C0, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x5040, symSize: 0xF0 }
  - { offsetInCU: 0xC5C2, offset: 0xC5C2, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x5130, symSize: 0x270 }
  - { offsetInCU: 0xC873, offset: 0xC873, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x53A0, symSize: 0xB0 }
  - { offsetInCU: 0xC8DA, offset: 0xC8DA, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x5450, symSize: 0x1E0 }
  - { offsetInCU: 0xCB21, offset: 0xCB21, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0xAE70, symBinAddr: 0x5630, symSize: 0x180 }
  - { offsetInCU: 0xCD5A, offset: 0xCD5A, size: 0x8, addend: 0x0, symName: _threadStartHandler, symObjAddr: 0xBEE0, symBinAddr: 0x5860, symSize: 0x1A0 }
  - { offsetInCU: 0xCF8A, offset: 0xCF8A, size: 0x8, addend: 0x0, symName: _threadEndHandler, symObjAddr: 0xC080, symBinAddr: 0x5A00, symSize: 0x2C0 }
  - { offsetInCU: 0xD3B3, offset: 0xD3B3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC340, symBinAddr: 0x5CC0, symSize: 0x390 }
  - { offsetInCU: 0xD81A, offset: 0xD81A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC6D0, symBinAddr: 0x6050, symSize: 0x36A }
...
